<script lang="ts">
	import Saos from 'saos';

	// TODO:
	// Fill out sponsors array with the following structure:
	let sponsors = [
		{
			name: 'TELECOM Nancy',
			logo: '/sponsors/tn.jpg',
			link: 'https://telecomnancy.univ-lorraine.fr/',
			desc: 'Notre chère et tendre école !'
		},
		{
			name: 'Alisé',
			logo: '/sponsors/alise.svg',
			link: 'https://alise.fr/',
			desc: 'L\'association des alumnis de TELECOM Nancy !'
		},
		{
			name: 'Les Crous',
			logo: '/sponsors/crous.png',
			link: 'https://www.crous-lorraine.fr/',
			desc: 'Des super restaurants universitaires et des logements étudiants !'
		},
		{
			name: 'Grand Est',
			logo: '/sponsors/grandest.png',
			link: 'https://www.grandest.fr/',
			desc: 'Des super restaurants universitaires et des logements étudiants !'
		},
	];
</script>

<div class="flex flex-row w-full justify-center">
	<div class="grid grid-cols-1 md:grid-cols-2 mt-8 md:p-24 p-2 gap-5">
		{#each sponsors as sponsor, i}
			{#if i % 2 == 0}
				<Saos animation={'from-left 0.5s cubic-bezier(0.35, 0.5, 0.65, 0.95) both'}>
					<div
						class="flex flex-col md:flex-row drop-shadow-xl bg-red-200 rounded-xl md:mr-24 md:p-5 p-2 justify-center  h-64"
					>
						<a href={sponsor.link} target="_blank" class="self-center">
							<img src={sponsor.logo} alt="logo tn event" class="w-32 md:w-48 drop-shadow-lg" />
						</a>
						<div class="flex flex-col md:ml-6">
							<div class="flex flex-col justify-center">
								<div class="text-2xl font-bold text-center">{sponsor.name}</div>
								<a href={sponsor.link} class="text-center text-blue-600" target="_blank">
									Voir &rarr;
								</a>
								<div class="text-center">{sponsor.desc}</div>
							</div>
						</div>
					</div>
				</Saos>
				<div class="hidden md:flex" />
			{:else}
				<div class="hidden md:flex" />
				<Saos animation={'from-right 0.5s cubic-bezier(0.35, 0.5, 0.65, 0.95) both'}>
					<div
						class="flex flex-col md:flex-row drop-shadow-xl bg-red-300 rounded-xl md:mr-24 md:p-5 p-2 justify-center h-64"
					>
						<a href={sponsor.link} target="_blank" class="self-center">
							<img src={sponsor.logo} alt="logo tn event" class="w-32 md:w-48 drop-shadow-lg" />
						</a>
						<div class="flex flex-col md:ml-6">
							<div class="flex flex-col justify-center">
								<div class="text-2xl font-bold text-center">{sponsor.name}</div>
								<a href={sponsor.link} class="text-center text-blue-600" target="_blank">
									Voir &rarr;
								</a>
								<div class="text-center">{sponsor.desc}</div>
							</div>
						</div>
					</div>
				</Saos>
			{/if}
		{/each}
	</div>
</div>

<style>
	@keyframes -global-from-left {
		0% {
			transform: rotateX(50deg) translateX(-10vw) skewX(-50deg);
			opacity: 1;
		}
		100% {
			transform: rotateX(0deg) translateX(0) skewX(0deg);
			opacity: 1;
		}
	}

	/* from right should be from left on mobile */
	@media (max-width: 640px) {
		@keyframes -global-from-right {
			0% {
				transform: rotateX(50deg) translateX(-10vw) skewX(-50deg);
				opacity: 1;
			}
			100% {
				transform: rotateX(0deg) translateX(0) skewX(0deg);
				opacity: 1;
			}
		}
	}
	@media (min-width: 640px) {
		@keyframes -global-from-right {
			0% {
				transform: rotateX(50deg) translateX(10vw) skewX(-50deg);
				opacity: 1;
			}
			100% {
				transform: rotateX(0deg) translateX(0) skewX(0deg);
				opacity: 1;
			}
		}
	}
</style>
